Botan 1.10.17

Namespaces | Functions
lookup.cpp File Reference
`#include <botan/lookup.h>`
`#include <botan/libstate.h>`
`#include <botan/engine.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
size_t | Botan::block_size_of (const std::string &name)
Keyed_Filter * | Botan::get_cipher (const std::string &algo_spec, Cipher_Dir direction)
Keyed_Filter * | Botan::get_cipher (const std::string &algo_spec, const SymmetricKey &key, const InitializationVector &iv, Cipher_Dir direction)
Keyed_Filter * | Botan::get_cipher (const std::string &algo_spec, const SymmetricKey &key, Cipher_Dir direction)
bool | Botan::have_algorithm (const std::string &name)
size_t | Botan::keylength_multiple_of (const std::string &name)
size_t | Botan::max_keylength_of (const std::string &name)
size_t | Botan::min_keylength_of (const std::string &name)
size_t | Botan::output_length_of (const std::string &name)